/*
  tester Mega with one wire connected to pin13 (source)
  (c) alpes machines sept 2021, written by julien voirin
  info@alpesmachines.net

  Reads a digital input on pin x (except 13 and I2C bus 20/21), prints the result to the Serial Monitor

*/

// digital pin 2 has a pushbutton attached to it. Give it a name:
int inputPin; // = 2; // à tester
const int outputPin = 13; //

// the setup routine runs once when you press reset:
void setup() {
  // initialize serial communication at 9600 bits per second:
  Serial.begin(115200);
  // make the pushbutton's pin an input:
  for (int pin = 2; pin < 70; pin ++) {
    inputPin = pin;
    pinMode(inputPin, INPUT);
  }
  pinMode (outputPin, OUTPUT);

  inputPin = 1 ; // start the seq
  Serial.println(F("tester Mega start ! "));

}

// the loop routine runs over and over again forever:
void loop() {
  // set the pin to test
  inputPin++;
  if (inputPin > 69)
    inputPin = 2; // reset

  //  don't test the output pin and I2C bus
  if (inputPin == 13 || inputPin == 20 || inputPin == 21)
    return;

  // allumer la sortie
  digitalWrite(outputPin, HIGH);
  // read the input pin:
  if ( digitalRead(inputPin))
  {
    Serial.print(F("pin ")); Serial.print( inputPin, DEC);
    Serial.println(F(" is good ! "));
  }
  delay(5);
  digitalWrite(outputPin, LOW);
  delay(5);        // delay in between reads for stability
}
